use strict;
use warnings;

use Test::More;
use Test::Cmd;

my $test = Test::Cmd->new(prog => "blib/script/checkfs.dominik", workdir => "", verbose => $ENV{TEST_VERBOSE} > 1);
ok($test, "test environment");

# $ENV{HARNESS_ACTIVE}

my $rc;


# create a fake df

 $test->run(args => "-i '/dev/mapper/ITADMIN-ITADMIN 103109920  0  0      0% /ITADMIN'");
 $rc = $? >> 8;
 is($rc, 0, "exit 0");
 subtest "run w/ -i" => sub {
     like($test->stdout, qr/^OK/, "OK");
     is($test->stderr, "", "stderr should be empty");
 };


$test->run(args => "-i '/dev/mapper/ITADMIN-ITADMIN 103109920  103109920  103109920      0% /ITADMIN'");
  $rc = $? >> 8;
  is($rc, 1, "exit 1");
  subtest "run w/ -i" => sub {
      like($test->stdout, qr/^Warning/, "Warning");
      is($test->stderr, "", "stderr should be empty");
  };

done_testing;


